Subject: calling finalize at exit?

From: [email-masked] (Jorg-Cyril Hohle)
Date: Mon, 16 Mar 1998 22:46:39 +0100

Hi,

I wonder if anybody is using FINALIZE.  Especially, I wonder if
somebody would find it more useful if CLISP promised to call
finalizers at program exit.

This way, external resources not freed by unwind-protect (any ?)
could be setup to be freed at program exit at last.  Even UNIX does
not full resource tracking, (did you ever use shared memory or see an
orphan window under X)?

Current impnotes.txt says about the time finalizers are called:
    (Actually, it possibly never occurs.)

BTW, I discovered that Java has a settable variable to control whether
finalizers are to be called at program exit. I forgot its default value.

Bye,
	Jo"rg Ho"hle.
[email-masked]		http://zeus.gmd.de/~hoehle/amiga-clisp.html